function f = n_Q_model(omega)
% Last update: 22.03.2023 by Maximilian Frenzel
% Refractive index is made to match refractive index of Quartz in the low
% THz region [0-6 THz] and optical frequencies
% Lorentz oscillators largely based on Cummings and Tanner, "Far-infrared ordinary-ray optical constants of quartz," J. Opt. Soc. Am. 70, 123-126 (1980). 
% I included a 24 THz and 37 THz resonance to match the optical frequencies.

% Some constants
c0=299792458; % m/s; speed of light
nu=omega/(2*pi*1e12); % THz; frequency

eps_infty = 1.54.^2; % eps infinity
eps = eps_infty + 0.032*eps_osci(2*pi*nu , 2*pi*7.9, 2*pi*0.17) + 0.37*eps_osci(2*pi*nu, 2*pi*11.77, 2*pi*0.1) + 0.8*eps_osci(2*pi*nu, 2*pi*13.5, 2*pi*0.18) + 0.14*eps_osci(2*pi*nu, 2*pi*24, 2*pi*0.6)+0.66*eps_osci(2*pi*nu, 2*pi*37.2, 2*pi*0.6);
f = sqrt(eps);
end