clear all; close all;
addpath('./Quartz response function/');
addpath('./Test data/');
addpath('./sub/');

%% Set up a response function for 50um quartz

d = 50*1e-6; % m; z-cut quartz thickness
omega = 2*pi*(0:0.01:10)*1e12; % 2*pi*Hz; Angular frequency 

h = det_Q(omega, d); % Compute complex response function

figure();
plot(omega/(2*pi*1e12), abs(h));
xlabel('Frequency (THz)');
ylabel('Response function');
xlim([0,5]);